Bug 1197872 - [abrt] PackageKit: repo_internalize_trigger(): packagekitd killed by SIGSEGV
Summary: [abrt] PackageKit: repo_internalize_trigger(): packagekitd killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: hawkey
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:095429860a418af830cd40df097...
: 1215440 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-02 20:23 UTC by wintonian
Modified: 2015-12-02 17:34 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 09:38:26 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (19.27 KB, text/plain)
2015-03-02 20:23 UTC, wintonian
no flags Details
File: cgroup (200 bytes, text/plain)
2015-03-02 20:23 UTC, wintonian
no flags Details
File: core_backtrace (13.36 KB, text/plain)
2015-03-02 20:23 UTC, wintonian
no flags Details
File: dso_list (10.99 KB, text/plain)
2015-03-02 20:23 UTC, wintonian
no flags Details
File: environ (120 bytes, text/plain)
2015-03-02 20:23 UTC, wintonian
no flags Details
File: exploitable (82 bytes, text/plain)
2015-03-02 20:23 UTC, wintonian
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-02 20:23 UTC, wintonian
no flags Details
File: maps (51.29 KB, text/plain)
2015-03-02 20:23 UTC, wintonian
no flags Details
File: open_fds (1.92 KB, text/plain)
2015-03-02 20:23 UTC, wintonian
no flags Details
File: proc_pid_status (910 bytes, text/plain)
2015-03-02 20:23 UTC, wintonian
no flags Details
File: var_log_messages (422 bytes, text/plain)
2015-03-02 20:23 UTC, wintonian
no flags Details

Description wintonian 2015-03-02 20:23:30 UTC
Description of problem:
Upgraded F20 --> F21 via 'fedup'

Succsessfully compleated distrosync

Update notification appeared informing of an update and I attempted to install via it.

Version-Release number of selected component:
PackageKit-1.0.4-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: repo_internalize_trigger
executable:     /usr/libexec/packagekitd
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 repo_internalize_trigger at /usr/src/debug/hawkey-85826ee4905b0422e3490fc2aa1b6d9bd6a302b2/py3/src/repo.c:60
 #1 repo_internalize_all_trigger at /usr/src/debug/hawkey-85826ee4905b0422e3490fc2aa1b6d9bd6a302b2/py3/src/repo.c:52
 #2 solve at /usr/src/debug/hawkey-85826ee4905b0422e3490fc2aa1b6d9bd6a302b2/py3/src/goal.c:256
 #3 hy_goal_run_all_flags at /usr/src/debug/hawkey-85826ee4905b0422e3490fc2aa1b6d9bd6a302b2/py3/src/goal.c:789
 #4 hy_goal_run_flags at /usr/src/debug/hawkey-85826ee4905b0422e3490fc2aa1b6d9bd6a302b2/py3/src/goal.c:775
 #5 hif_goal_depsolve at hif-goal.c:58
 #6 hif_transaction_depsolve at hif-transaction.c:1076
 #7 pk_backend_transaction_run at pk-backend-hif.c:2299
 #8 pk_backend_update_packages_thread at pk-backend-hif.c:3156
 #9 pk_backend_job_thread_setup at pk-backend-job.c:815

Comment 1 wintonian 2015-03-02 20:23:34 UTC
Created attachment 997200 [details]
File: backtrace

Comment 2 wintonian 2015-03-02 20:23:35 UTC
Created attachment 997201 [details]
File: cgroup

Comment 3 wintonian 2015-03-02 20:23:36 UTC
Created attachment 997202 [details]
File: core_backtrace

Comment 4 wintonian 2015-03-02 20:23:37 UTC
Created attachment 997203 [details]
File: dso_list

Comment 5 wintonian 2015-03-02 20:23:39 UTC
Created attachment 997204 [details]
File: environ

Comment 6 wintonian 2015-03-02 20:23:40 UTC
Created attachment 997205 [details]
File: exploitable

Comment 7 wintonian 2015-03-02 20:23:41 UTC
Created attachment 997206 [details]
File: limits

Comment 8 wintonian 2015-03-02 20:23:43 UTC
Created attachment 997207 [details]
File: maps

Comment 9 wintonian 2015-03-02 20:23:44 UTC
Created attachment 997208 [details]
File: open_fds

Comment 10 wintonian 2015-03-02 20:23:45 UTC
Created attachment 997209 [details]
File: proc_pid_status

Comment 11 wintonian 2015-03-02 20:23:46 UTC
Created attachment 997210 [details]
File: var_log_messages

Comment 12 Kalev Lember 2015-05-29 14:20:54 UTC
*** Bug 1215440 has been marked as a duplicate of this bug. ***

Comment 13 Kalev Lember 2015-05-29 14:28:31 UTC
Looks like it's crashing in repo_internalize_trigger() in hawkey, dereferencing NULL hrepo. Reassigning to hawkey.

Comment 14 Honza Silhan 2015-07-21 09:24:27 UTC
Kalev, attach the test case which fails in hawkey, please. We have never encountered this traceback in DNF.

Comment 15 Kalev Lember 2015-07-21 09:53:44 UTC
I don't know how to reproduce it; it's just an abrt crash.

wintonian, you reported this, do you know how to reproduce it?

Comment 16 wintonian 2015-07-21 14:52:24 UTC
Blimey, given the fast paced world of Fedora I'm thinking about upgrading to F22 now. :-)

I'm fairly sure I just did a normal fedup upgrade from F20-21 using the Fedora wiki guide as I normally do i.e.

sudo update fedup

sudo fedup --network 21 --product=nonproduct (I use KDE)

Reboot choosing "System Upgrade" from grub (and issue LUKS password at prompt)

When upgrade has finished:
sudo rpm --rebuilddb

sudo yum distro-sync --setopt=deltarpm=0 

If memory serves me right the update notification appeared in the notification bar (don't remember what the package was) and I hit "install" that is the point the crash occurred.

I assume I then ran "sudo yum update" as I don't recall it being a problem as such and passed it off as one  of those freak unexplained crashes that never reoccur.

I'm pretty sure I don't have a disk image from that far back, but I'll have a look and if I do find one I might see if I can recreate it.

Sorry that's probably not much help.

Comment 17 Fedora End Of Life 2015-11-04 10:18:49 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2015-12-02 09:38:32 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.